Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 246067 - genppdupdate leaves wrong SELinux file contexts on PPDs
Summary: genppdupdate leaves wrong SELinux file contexts on PPDs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-06-28 10:22 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 5.0.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-09 15:49:54 UTC


Attachments (Terms of Use)

Description Tim Waugh 2007-06-28 10:22:11 UTC
Description of problem:
After upgrading gutenprint the genppdupdate program leaves the PPD files in
/etc/cups/ppd that it has modified with context cupsd_etc_t instead of
cupsd_rw_etc_t.

Version-Release number of selected component (if applicable):
gutenprint-cups-5.0.1-1.fc7

How reproducible:
100%

Steps to Reproduce:
1.Start with gutenprint-cups-5.0.0.99.1-3.fc7
2.Create a print queue that uses gutenprint
3.ls -Z /etc/cups/ppd/
4.Upgrade gutenprint-cups
5.ls -Z /etc/cups/ppd/

Actual results:
File context changes

Expected results:
Stays the same.

Comment 1 Fedora Update System 2007-06-29 14:03:11 UTC
gutenprint-5.0.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-07-03 16:18:32 UTC
gutenprint-5.0.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-07-09 15:49:49 UTC
gutenprint-5.0.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.